# ai.hpp File Reference

Base functions for all AIs. More...

`#include "api/ai_event_types.hpp"`
`#include "../date_type.h"`
`#include "../core/string_compare_type.hpp"`

Go to the source code of this file.

## Data Structures

class | AI

## Typedefs

typedef std::map< const char *, class AIInfo *, StringCompare > | AIInfoList

## Functions

void | CcAI (bool success, TileIndex tile, uint32 p1, uint32 p2)

## Detailed Description

Base functions for all AIs.

Definition in file ai.hpp.